<?xml version='1.0'?>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 >
<xsl:output method="xml" indent="yes" encoding="UTF-8" />
<xsl:template match="/">
<USShirts>
<Order>
<xsl:apply-templates select="/UKShirts" />
</Order>
</USShirts>
</xsl:template>

<xsl:template match="Order" >
<xsl:apply-templates select="Date" />
<xsl:apply-templates select="From" />
<xsl:apply-templates select="To" />
<xsl:apply-templates select="Shirt" />
</xsl:template>

<xsl:template match="Date" >
<xsl:copy-of select="." />
</xsl:template>

<xsl:template match="From|To" >
<xsl:copy-of select="." />
</xsl:template>

<xsl:template match="Shirt">
<xsl:copy>
<xsl:attribute name="size">
<xsl:value-of select="Size" />
</xsl:attribute>
<xsl:apply-templates select="Colour" />
<xsl:apply-templates select="Quantity" />
</xsl:copy>
</xsl:template>

<xsl:template match="Colour">
<xsl:element name="Color">
<xsl:value-of select="." />
</xsl:element>
</xsl:template>

<xsl:template match="Quantity">
<xsl:copy-of select="." />
</xsl:template>

</xsl:stylesheet>