<?xml version='1.0'?>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  >
<xsl:output method="html"
 indent="yes" />
<xsl:template match="/">
<html>
<head>
<title>XMML.com Documents</title>
<style type="text/css">
h2{color:red}
h3{color:blue}
</style>
</head>
<body>
<h1>All XMML.com documents.</h1>
<xsl:apply-templates select="//Document" />

</body>
</html>
</xsl:template>

<xsl:template match="Document">
<xsl:choose>
<xsl:when test="@version='final'">
<h2>Document Title:<xsl:text> </xsl:text><xsl:value-of select="Title" /></h2>
<p>Document Status:<xsl:text> </xsl:text><xsl:value-of select="@version"/></p>
<p>Document Author:<xsl:text> </xsl:text><xsl:value-of select="Author"/></p>
<p>Document Content:<xsl:text> </xsl:text><b><xsl:value-of select="Content"/></b></p>
</xsl:when>
<xsl:when test="@version='draft'">
<h3>Document Title:<xsl:text> </xsl:text><xsl:value-of select="Title" /></h3>
<p>Document Status:<xsl:text> </xsl:text><xsl:value-of select="@version"/></p>
</xsl:when>
<xsl:otherwise >
<!-- The version attribute is "outdated". -->
<!-- Do nothing -->
</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>