import org.xml.sax.XMLReader;
import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;

import org.apache.xerces.parsers.SAXParser;

public class myHandler extends DefaultHandler 
 {
  public static void main(String[] argv) throws Exception {
 if (argv.length == 0) {
 System.out.println("You need to specify a file name");
 System.exit(0);
 }
System.out.println("The program myHandler has started ...");
 myHandler reader = new myHandler();
 reader.read(argv[0]); 
 }

 public void read(String fileName) throws Exception{
  System.out.println("read() method entered ...");
 XMLReader parser = XMLReaderFactory.createXMLReader();

 parser.setContentHandler(this);
 parser.parse(fileName);
 }
 
 public void startDocument() throws SAXException {
 System.out.println("The document has been opened.");
 }
 
 public void processingInstruction(String target, String data) throws SAXException {
 System.out.println("A processing instruction with target, " +target+ " and data " +data+ ".");
 }
 
 public void startElement(String uri, String localName, String QName, Attributes attributes) throws SAXException{
 System.out.println("Start tag of element " + localName + " was found.");
 }
 
  public void endElement(String uri, String localName, String QName) throws SAXException{
 System.out.println("End tag of element " + localName + " was found.");
 }
 
 public void characters(char[] characters, int start, int length) throws SAXException {
 System.out.println("Character content encountered.");
 }
 
 public void endDocument() throws SAXException {
  System.out.println("The document has been completed.");
 }
 
}